--- title: "GetDashboardWidgetImage" slug: "management-cloudinsight-getdashboardwidgetimage" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getdashboardwidgetimage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetDashboardWidgetImage Available in Classic and VPC Download the widget data on the dashboard as an 800 x 600 PNG file. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/chart/dashboard/{dashboardId}/widgets/{widgetId} | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `dashboardId` | String | Required | Dashboard ID - See [GetDashboardList](/docs/en/management-cloudinsight-getdashboardlist) | | `widgetId` | String | Required | Widget ID - See [GetDashboardWidgetList](/docs/en/management-cloudinsight-getdashboardwidgetlist) | ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `startTime` | Integer | Required | Measurement start date and time (millisecond) - Unix timestamp format | | `endTime` | Integer | Required | Measurement end date and time (millisecond) - Unix timestamp format | | `widgetResolutionMode` | String | Optional | Query cycle - `AUTO` (default) \| `HIGH` - `AUTO`: Query at the same cycle as the dashboard - `HIGH`: Query details at a shorter cycle than the dashboard | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/chart/dashboard/**********/widgets/bucket_size__**********?startTime=1733097600000&endTime=1733148000000&widgetResolutionMode=AUTO' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the dashboard widget image file is downloaded with `200 OK`. ![image.png](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/image%2897%29.png?sv=2026-02-06&spr=https&st=2026-11-17T05%3A15%3A27Z&se=2026-11-17T06%3A15%3A27Z&sr=b&sp=r&sig=A45HxZpEzgnXT%2BRTrRAqEHte7twcWarHRfQ%2Fa3hLm2Q%3D)